| Irrlicht 3D Engine |

Public Attributes | Friends
irr::scene::ISkinnedMesh::SWeight Struct Reference

A vertex weight. More...

`#include <ISkinnedMesh.h>`

List of all members.

## Public Attributes

- u16 buffer_id
    Index of the mesh buffer.
- f32 strength
    Weight Strength/Percentage (0-1)
- u32 vertex_id
    Index of the vertex.

## Friends

- class CSkinnedMesh
    Internal members used by CSkinnedMesh.

## Detailed Description

A vertex weight.

Definition at line 83 of file ISkinnedMesh.h.

## Friends And Related Function Documentation

friend class CSkinnedMesh`[friend]`

Internal members used by CSkinnedMesh.

Definition at line 96 of file ISkinnedMesh.h.

## Member Data Documentation

u16 irr::scene::ISkinnedMesh::SWeight::buffer_id

Index of the mesh buffer.

Definition at line 86 of file ISkinnedMesh.h.

f32 irr::scene::ISkinnedMesh::SWeight::strength

Weight Strength/Percentage (0-1)

Definition at line 92 of file ISkinnedMesh.h.

u32 irr::scene::ISkinnedMesh::SWeight::vertex_id

Index of the vertex.

Definition at line 89 of file ISkinnedMesh.h.

The documentation for this struct was generated from the following file:

- ISkinnedMesh.h